xorg-server 1.3.0.0-patched

I have reported recently about rolling Quirky/Tpup back to "Xorg 7.3". A quick test building Quirky with Xorg packages from Puppy4 was successful, but I am doing a complete recompile with T2 as that exposes any mismatches.

I have ended up with xorg-server 1.3.0.0 and most xlibs versions the same as in Puppy4. Some I have upgraded, such as libxcb, fontconfig and mesa. Also many drivers are update, thanks to research done by Patriot.

Then I thought about possible disadvantages of the old xorg-server 1.3.0.0. One is detection of the latest video hardware. Xorg-server versions below 1.5 use a 'pci.ids' file that is compiled into the server. This information is used by the server when probing the hardware and selecting the correct driver. The 'scanpci' utility also accesses this information.

What I have done is patch the 1.3.0.0 source with the latest 'pci.ids' file. The source has a Perl script that converts this file into a C header file that is used when compiling the source. I ran that and generated an updated header file.

I don't know if this new xorg-server works properly yet. I have added it to T2 and it will compile soon.

When T2 has finished compiling, I'll grab all the binary packages and build a test Quirky. That will probably be about 24 hours from now.


Posted on 26 Mar 2010, 16:57


Comments:

Posted on 26 Mar 2010, 22:08 by Jemimah
xorg
If it's not too much trouble, would you consider compiling Xorg 7.5 for the 4 series?

Puppeee would benefit in a couple of ways from the newer Xorg, though I haven't tried compile it yet myself due to the technical complexity.

First benefit: kernel modesetting. This means Xorg can start almost as fast as Xvesa does. Netbook users care a great deal about boot time, and I'm currently losing in the standings to Lucid Lynx. Modesetting also gets you native resolution on widescreen consoles which is minor, but nice.

Second benefit: Mesa in 4.3.1 crashes on the i915 chipset. I've updated Mesa already in Puppeee, but it would be nice to release your new Mesa for 4.3.1 (or 4.3.2 if you make it) for other users. Also Xorg 7.3 does not seem to support GEM, which means hardware acceleration would be probably twice as fast with Xorg 7.5 on Intel cards.

Third benefit: Xorg 7.3 has no support for panning. With both older and newer xorgs, you can specify a larger virtual resolution than your screen size and then pan around so applications that are bigger than your screen can be used.

In any event, please keep Xorg 7.5 as an option in tPup - so that when I start work on Puppeee 5, I'll be available.





Posted on 27 Mar 2010, 7:52 by BarryK
Xorg 7.5
KMS, GEM, all those things are nice, if they work. That's the problem with Xorg these days, works nice on some video hardware.

No, I won't be upgrading 4-series to Xorg 7.5!

But, I'll keep both sets of binary packages that I compiled in T2, the current set with Xorg 7.5 and the set that's compiling right now with the rolled-back Xorg. So you will be able to build either for Tpup. I think I'll do that.

Or, you could build an Ubuntu-pup with the upcoming version of Ubuntu's packages. That would be really with it in terms of KMS etc.